@version 2.1
@script modeler
@warnings
@name Save Vertexmap Object...

main
{
    editbegin();
    ttlPnts = pointcount();

    tmap = VMap(VMTEXTURE);

    if(!ttlPnts)
    {
        error("<br>You must have geometry to perform this operation");
        return;
    }
    objDir = getdir("Objects");
    if((getObjFile = getfile("Save VertexMap Object...","*.obj",objDir)) == nil)
        return;
    if((objFile = File(getObjFile,"w")) == nil)
    {
        error("Unable to open object file.");
        return;
    }
    objPath = objFile.name();

    foreach (i, points){
        objFile.writeln("v "+i.x+" "+i.y+" "+(i.z*-1));
        if(tmap.isMapped(i)){
            objFile.writeln("vt "+tmap.getValue(i,1)+" "+tmap.getValue(i,2));
        }
    if(j.pointCount>3){error("Only triangle faces supported!");}
    objFile.writeln("#faces "+polygons.count());
    foreach (j, polygons)
    {
        ln="";
        for(k=j.pointCount;k>0;k--)
        {
            ln+=" ";
            ln+=j.points[k];
        }
        objFile.writeln("f"+ln);
        ln="";
    }

    objFile.close();

    editend();

}

 












